# Method: projects.locations.batches.list

- [HTTP request](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches/list#body.request_body)
- [Response body](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches/list#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches/list#body.ListBatchesResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches/list#try-it)

Lists batch workloads.

### HTTP request

`GET https://dataproc.googleapis.com/v1/{parent=projects/*/locations/*}/batches`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns this collection of batches. Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `parent`: - `dataproc.batches.list` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Optional. The maximum number of batches to return in each response. The service may return fewer than this value. The default page size is 20; the maximum page size is 1000. |
| `pageToken` | `string` Optional. A page token received from a previous `batches.list` call. Provide this token to retrieve the subsequent page. |
| `filter` | `string` Optional. A filter for the batches to return in the response. A filter is a logical expression constraining the values of various fields in each batch resource. Filters are case sensitive, and may contain multiple clauses combined with logical operators (AND/OR). Supported fields: \* `batch_id` \* `batch_uuid` \* `state` \* `create_time` \* `labels` \* `runtimeInfo.cohort_info.cohort` e.g. `state = RUNNING and create_time < "2023-01-01T00:00:00Z"` filters for batches in state RUNNING that were created before 2023-01-01. `state = RUNNING and labels.environment=production` filters for batches in state in a RUNNING state that have a production environment label. See <https://google.aip.dev/assets/misc/ebnf-filtering.txt> for a detailed description of the filter syntax and a list of supported comparisons. |
| `orderBy` | `string` Optional. Field(s) on which to sort the list of batches. Currently the only supported sort orders are unspecified (empty) and `createTime desc` to sort by most recently created batches first. See <https://google.aip.dev/132#ordering> for more details. |

### Request body

The request body must be empty.

### Response body

A list of batch workloads.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "batches": [ { object (`https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches#Batch`) } ], "nextPageToken": string, "unreachable": [ string ] } ``` |

| Fields ||
|---|---|
| `batches[]` | ``object (`https://docs.cloud.google.com/managed-spark/docs/reference/rest/v1/projects.locations.batches#Batch`)`` Output only. The batches from the specified collection. |
| `nextPageToken` | `string` A token, which can be sent as `pageToken` to retrieve the next page. If this field is omitted, there are no subsequent pages. |
| `unreachable[]` | `string` Output only. List of Batches that could not be included in the response. Attempting to get one of these resources may indicate why it was not included in the list response. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `
  https://www.googleapis.com/auth/dataproc`
- `
  https://www.googleapis.com/auth/dataproc.read-only`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).